<%
   @collection_title = @document['title_tesim'].first
   @collection_type = render_document_show_field_value(:document=>@document, :field =>'has_model_ssim')
   @collection_type =  @collection_type.gsub("info:fedora/afmodel:", '').gsub(/(?<=[a-z])(?=[A-Z])/, '_').downcase
   @edit = "edit_" + "#{@collection_type}_path"
   @page_title = "#{@collection_title} | Collection"
   no_collection_items_notice = 'There are no items in this collection to view or search for.'
%>

<!--
<div class="row-fluid">
	<div class="span12">
		<%#= render :partial => 'dams_objects/prev_next' %>
	</div>
</div>
-->

<%# Collections controls for phone layout %>
<div class="row-fluid visible-phone dams-collections">
  <%# Collection masthead %>
  <div id="collections-masthead" class="span12" style="background-image:linear-gradient(to right,rgba(1,60,86,0.85),rgba(1,60,86,0.75)),url(/assets/dams/collections/img/<%=@document['id']%>.jpg))">
    <%= render :partial => 'shared/fields/title' %>
  </div>
  <%# Collection controls %>
  <% if @object_count > 0 %>
    <%= link_to "<i class='icon-eye-open icon-white'></i> View Collection Items".html_safe, facet_default_uri(@collection_title,'collection_sim'), :class => 'btn btn-large btn-inverse btn-block' %>
    <div class="well collections-search-box"><%= render :partial => 'search' %></div>
  <% else %>
    <p class="alert alert-phone alert-no-dismiss"><%=no_collection_items_notice%></p>
  <% end %>
</div>

<%# Main container %>
<div class="row-fluid dams-collections">
  <%# Corpus %>
  <div class="span8">
    <p class="crumb hidden-phone"><b>Collections</b> &raquo;</p>
    <div class="hidden-phone"><%= render :partial => 'shared/fields/title' %></div>
    <h3>About this collection
      <%= render :partial => 'dams_objects/social_links' %></h3>
    <dl><%= render :partial => 'shared/fields/show_raw', :locals => {:greetingsFromCollectionsView => 'Wish you were here!'} %></dl>
  </div>
  <%# Sidebar %>
  <div class="span4">
    <%# Collections controls for desktop layout %>
    <div class="hidden-phone">
      <%# Collection image %>
      <div id="collections-image" class="hidden-phone">
        <img src="/assets/dams/collections/img/<%=@document['id']%>.jpg" alt="<%=alt_tag_text(@collection_title)%>" title="<%=alt_tag_text(@collection_title)%>">
      </div>
      <%# Collection controls %>
      <% if @object_count > 0 %>
        <%= link_to "<i class='icon-eye-open icon-white'></i> View Collection Items".html_safe, facet_default_sort_uri(@collection_title,'collection_sim',@default_sort), :class => 'btn btn-large btn-inverse btn-block' %>
        <div class="well collections-search-box"><%= render :partial => 'search' %></div>
      <% else %>
        <p class="alert alert-no-dismiss"><%=no_collection_items_notice%></p>
      <% end %>
    </div>
    <%# Editor menus %>
    <% if can? :update, @document %>
      <%#= render :partial => 'dams_collections/show_sort_options' %>    
      <%= render :partial => 'dams_collections/show_editor_tools' %>
    <% end %>
    <%# DAMS tools %>
    <%= render :partial => 'show_damstools' %>
  </div>
</div>

<%# Comments container %>
<div class="row-fluid">
  <section class="dams-comments span8">
    <%= render :partial => 'dams_objects/comments' %>
  </section>
</div>